Bug 885739 - RedHat init script doesn't support overwriting of options from sysconfig
RedHat init script doesn't support overwriting of options from sysconfig
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: scripts (Show other bugs)
mainline
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Filip Pytloun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-10 09:04 EST by Filip Pytloun
Modified: 2013-07-24 13:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:13:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (1.17 KB, patch)
2012-12-10 09:05 EST, Filip Pytloun
no flags Details | Diff

  None (edit)
Description Filip Pytloun 2012-12-10 09:04:48 EST
Description of problem:
RedHat init script doesn't support overwriting of daemon options from sysconfig - for eg. changing location of log file or log level.

Version-Release number of selected component (if applicable):


How reproducible:
Try to change glusterd log file or log level without editing init script

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Patch attached
Comment 1 Filip Pytloun 2012-12-10 09:05:30 EST
Created attachment 660886 [details]
Patch
Comment 2 Amar Tumballi 2012-12-11 01:00:25 EST
Hi Filip, thanks for the patch, can you please submit this upstream? (ref: http://www.gluster.org/community/documentation/index.php/Development_Work_Flow)
Comment 3 Niels de Vos 2012-12-11 03:59:04 EST
Filip, I like this a lot but would like to see the following additions:
- an example /etc/sysconfig/glusterd file with comments and commented out options
- include /etc/sysconfig/glusterd in the glusterfs.spec.in as %config

Let me know if you need assistance in posting the patch in Gerrit for review, or if you want me to post the patch in your name.

Thanks,
Niels
Comment 4 Filip Pytloun 2012-12-11 04:50:30 EST
Hello, thank you,
I have added example sysconfig file and opened Gerrit review: http://review.gluster.org/4290
Comment 5 Vijay Bellur 2012-12-12 10:36:39 EST
CHANGE: http://review.gluster.org/4290 (RHEL init script: ability to overwrite options from sysconfig) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.